Bug 244524 - crash(8) in f7 fails; newer version works
crash(8) in f7 fails; newer version works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Anderson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 13:29 EDT by D. Hugh Redelmeier
Modified: 2008-06-16 21:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:37:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2007-06-16 13:29:53 EDT
Description of problem:

  When I use crash(8) on my system, it fails with the message
crash: invalid (optional) structure member offsets: zone_struct_free_pages or
zone_free_pages
       FILE: memory.c  LINE: 11343  FUNCTION: dump_memory_nodes()


Version-Release number of selected component (if applicable):
  crash 4.0-3.3 for x86_64 (the most up-to-date version currently in F7)

How reproducible:
  Fails for each of the three crashdumps that I've tried it with.

Steps to Reproduce:
1.  crash --readnow /usr/lib/debug/lib/modules/2.6.21-1.3228.fc7/vmlinux
/var/crash/2007-06-16-00\:00/vmcore

  
Actual results:
crash: invalid (optional) structure member offsets: zone_struct_free_pages or
zone_free_pages
       FILE: memory.c  LINE: 11343  FUNCTION: dump_memory_nodes()

[/usr/bin/crash] error trace: 458f7f => 47b3ac => 47a90b => 4e7e83
/usr/bin/nm: /usr/bin/crash: no symbols
/usr/bin/nm: /usr/bin/crash: no symbols
/usr/bin/nm: /usr/bin/crash: no symbols
/usr/bin/nm: /usr/bin/crash: no symbols


Expected results:
  Just works.

Additional info:

  I fetched and built crash-4.0-4.2.src.rpm from
http://people.redhat.com/anderson/ .  It seems to work, at least better than
crash 4.0-3.3.  This is my first use of crash so all I've done is a bt.

(I'm encountering a kernel panic (see bugzilla 242836) and capturing the
necessary information has been blocked.  I cannot see the console (X is running
and the machine has no serial port for serial console).  kdump needed work (see
bugzilla 244464).  After I resolved that, crash(8) didn't work.  Since nobody
else has reported these problems either (1) I'm doing several things wrong, or
(2) nobody is using stock f7 kdump and crash.)

Recommendation: push this new version out in F7 Updates.
Comment 1 Dave Anderson 2007-06-18 10:17:27 EDT
> I fetched and built crash-4.0-4.2.src.rpm from
> http://people.redhat.com/anderson/

Hugh, 

You did the right thing.  

Keeping crash up-to-date with upstream kernel changes that are constantly being
adopted in Fedora kernels is difficult and time-consuming.  I work primarily
on the RHEL side of the house, and the version on my people site is always
the "latest-and-greatest" with respect to upstream kernel versions, with 
changes being reported by, and often fixes supplied, the community.
Comment 2 Bug Zapper 2008-05-14 09:08:23 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:37:16 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.